Loading...
Searching...
No Matches
gr::analog::kernel::agc_cc Class Reference
GNU Radio C++ Signal Processing Blocks » Level Controllers

high performance Automatic Gain Control class for complex signals. More...

`#include <gnuradio/analog/agc.h>`

## Public Member Functions

| agc_cc (float rate=1e-4, float reference=1.0, float gain=1.0, float max_gain=0.0)
virtual | ~agc_cc ()
float | rate () const
float | reference () const
float | gain () const
float | max_gain () const
void | set_rate (float rate)
void | set_reference (float reference)
void | set_gain (float gain)
void | set_max_gain (float max_gain)
gr_complex | scale (gr_complex input)
void | scaleN (gr_complex output[], const gr_complex input[], unsigned n)

## Protected Attributes

float | _rate
float | _reference
float | _gain
float | _max_gain

## Detailed Description

high performance Automatic Gain Control class for complex signals.

For Power the absolute value of the complex number is used.

## Constructor & Destructor Documentation

## agc_cc()

gr::analog::kernel::agc_cc::agc_cc | ( | float | rate = 1e-4,
|  | float | reference = 1.0,
|  | float | gain = 1.0,
|  | float | max_gain = 0.0 )

inline

Construct a complex value AGC loop implementation object.

Parameters

  rate | the update rate of the loop.
  reference | reference value to adjust signal power to.
  gain | initial gain value.
  max_gain | maximum gain value (0 for unlimited).

References _gain, _max_gain, _rate, _reference, gain(), max_gain(), rate(), and reference().

## ~agc_cc()

virtual gr::analog::kernel::agc_cc::~agc_cc | ( |  | ) |

inline virtual

## Member Function Documentation

## gain()

float gr::analog::kernel::agc_cc::gain | ( |  | ) | const

inline

References _gain.

Referenced by agc_cc(), and set_gain().

## max_gain()

float gr::analog::kernel::agc_cc::max_gain | ( |  | ) | const

inline

References _max_gain.

Referenced by agc_cc(), and set_max_gain().

## rate()

float gr::analog::kernel::agc_cc::rate | ( |  | ) | const

inline

References _rate.

Referenced by agc_cc(), and set_rate().

## reference()

float gr::analog::kernel::agc_cc::reference | ( |  | ) | const

inline

References _reference.

Referenced by agc_cc(), and set_reference().

## scale()

gr_complex gr::analog::kernel::agc_cc::scale | ( | gr_complex | input | ) |

inline

References _gain, _max_gain, _rate, and _reference.

Referenced by scaleN().

## scaleN()

void gr::analog::kernel::agc_cc::scaleN | ( | gr_complex | output[],
|  | const gr_complex | input[],
|  | unsigned | n )

inline

References scale().

## set_gain()

void gr::analog::kernel::agc_cc::set_gain | ( | float | gain | ) |

inline

References _gain, and gain().

## set_max_gain()

void gr::analog::kernel::agc_cc::set_max_gain | ( | float | max_gain | ) |

inline

References _max_gain, and max_gain().

## set_rate()

void gr::analog::kernel::agc_cc::set_rate | ( | float | rate | ) |

inline

References _rate, and rate().

## set_reference()

void gr::analog::kernel::agc_cc::set_reference | ( | float | reference | ) |

inline

References _reference, and reference().

## Member Data Documentation

## _gain

float gr::analog::kernel::agc_cc::_gain

protected

Referenced by agc_cc(), gain(), scale(), and set_gain().

## _max_gain

float gr::analog::kernel::agc_cc::_max_gain

protected

Referenced by agc_cc(), max_gain(), scale(), and set_max_gain().

## _rate

float gr::analog::kernel::agc_cc::_rate

protected

Referenced by agc_cc(), rate(), scale(), and set_rate().

## _reference

float gr::analog::kernel::agc_cc::_reference

protected

Referenced by agc_cc(), reference(), scale(), and set_reference().

The documentation for this class was generated from the following file:

- agc.h